# evennia.server.portal.naws

NAWS - Negotiate About Window Size

This implements the NAWS telnet option as per https://www.ietf.org/rfc/rfc1073.txt

NAWS allows telnet clients to report their current window size to the client and update it when the size changes

class `evennia.server.portal.naws.``Naws`(protocol)

  Bases: `object`

  Implements the NAWS protocol. Add this to a variable on the telnet protocol to set it up.

  `__init__`(protocol)

    initialize NAWS by storing protocol on ourselves and calling the client to see if it supports NAWS.

    Parameters

      protocol (Protocol) – The active protocol instance.

  `no_naws`(option)

    Called when client is not reporting NAWS. This is the normal operation.

    Parameters

      option (Option) – Not used.

  `do_naws`(option)

    Client wants to negotiate all the NAWS information.

    Parameters

      option (Option) – Not used.

  `negotiate_sizes`(options)

    Step through the NAWS handshake.

    Parameters

      option (list) – The incoming NAWS options.